#! /bin/sh
#
# rc.M		This file is executed by init(8) when the system is being
#		initialized for one of the "multi user" run levels (i.e.
#		levels 1 through 6).  It usually does mounting of file
#		systems et al.
#
# Version:	@(#)/etc/rc.d/rc.M	2.02	02/26/93
#
# Author:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#

  # Tell the viewers what's going to happen...
  echo "Starte Multiuser Modus..."

  # Screen blanks after 15 minutes idle time.
  /bin/setterm -blank 15

  # Initialize the NET subsystem.
  if [ -x /etc/rc.d/rc.inet1 ];
  then
        /bin/hostname `cat /etc/HOSTNAME | cut -f1 -d .`
        /bin/domainname `cat /etc/HOSTNAME | cut -f2- -d .`
        /bin/sh /etc/rc.d/rc.inet1
        /bin/sh /etc/rc.d/rc.inet2
  else
        /sbin/hostname_notcp `cat /etc/HOSTNAME | cut -f1 -d .`
	/bin/domainname `cat /etc/HOSTNAME | cut -f2- -d .`
        echo
        echo "Da Sie TCP/IP nicht installiert haben, wird syslogd beim Start zuerst eine"
        echo "Fehlermeldung bringen. Diese knnen Sie ignorieren."
        echo
	/usr/sbin/syslogd
	/usr/sbin/klogd
	/usr/sbin/lpd
	/usr/sbin/crond 
  fi

  # Remove stale locks (must be done after mount -a!)
  /bin/rm -f /usr/spool/locks/* /usr/spool/uucp/LCK..* /tmp/.X*lock 1> /dev/null 2> /dev/null

  # Remove stale hunt sockets so the game can start.
  if [ -r /tmp/hunt -o -r /tmp/hunt.stats ]; then
    echo "Removing your stale hunt sockets from /tmp..."
    /bin/rm -f /tmp/hunt*
  fi

  # Update all the shared library links automatically
  /sbin/ldconfig

  # Start the local setup procedure.
  /etc/rc.d/rc.local

  # Start some local goodies ;-)
  if [ -f /etc/rc.d/rc.sound ]; then
	/bin/sh /etc/rc.d/rc.sound
  fi

  # All done.
