#!/bin/sh
#
# Soundevices anlegen und kleine Begrungsmusi spielen
#
# alles relative Pfade. Man sollt beim Aufruf in der root
# des betreffenden Filesystems stehen 
#
# Create the devices
#
#	Mixer 		(14, 0)
#
if [ -c dev/mixer ]; then 
	rm -f dev/mixer 
fi
mknod -m 666 dev/mixer c 14 0
#
#	Sequencer	(14, 1)
#
if [ -c dev/sequencer ]; then
	rm -f dev/sequencer
fi
mknod -m 666 dev/sequencer c 14 1
#
#	MIDI		(14, 2)	[ Not implemented ]
#
if [ -c dev/midi ]; then
	rm -f dev/midi
fi
mknod -m 666 dev/midi c 14 2
#
#	DSP		(14, 3)
#
if [ -c dev/dsp ]; then
	rm -f dev/dsp
fi
mknod -m 666 dev/dsp c 14 3
#
#	SPARC audio	(14, 4)	[ Not fully implemented ]
#
if [ -c dev/audio ]; then
	rm -f dev/audio
fi
mknod -m 666 dev/audio c 14 4
#
#	DSP2		(14, 19) /dev/dsp for the second soundcard.
#				Also the SB emulation part of the
#				PAS16 card.
#
if [ -c dev/dsp1 ]; then
	rm -f dev/dsp1
fi
mknod -m 666 dev/dsp1 c 14 19
#
#	SPARC audio1	(14, 20) [ Not fully implemented ]
#				/dev/audio for the second soundcard.
#				Also the SB emulation part of the
#				PAS16 card.
#
if [ -c dev/audio1 ]; then
	rm -f dev/audio1
fi
mknod -m 666 dev/audio1 c 14 20
#
#	/dev/sndstat	(14,6)	For debugging purposes
#
if [ -c dev/sndstat ]; then
	rm -f dev/sndstat
fi
mknod -m 666 dev/sndstat c 14 6

( cd usr/local/bin ; ln -fs srec splay ) 

cat << EOF > etc/rc.d/rc.sound
#
# Kleine Soundsequenz zur Demo
#
# Wird jedoch nur eingeschaltet, wenn die Frage nach
# Soundkarte bei syssetup -sound mit "j" beantwortet wird.
#
EOF
echo 'if [ -f /etc/SOUND ]; then' >> etc/rc.d/rc.sound
echo '   if [ "`cat /etc/SOUND`" = "YES" ]; then' >> etc/rc.d/rc.sound
echo '       ( /usr/local/bin/soundplay > /dev/null ) 2> /dev/null & ' >> etc/rc.d/rc.sound
echo '   fi' >> etc/rc.d/rc.sound
echo 'fi' >> etc/rc.d/rc.sound
chmod 755 etc/rc.d/rc.sound
