#include <InterViews/canvas.h> 
#include <InterViews/painter.h> 
#include <InterViews/sensor.h> 
#include <InterViews/perspective.h> 
#include <InterViews/transformer.h> 
#include <Unidraw/Graphic/grblock.h> 
#include <Unidraw/Graphic/pspaint.h> 
#include <Unidraw/Graphic/picture.h> 
#include <Unidraw/Graphic/polygons.h> 
#include <Unidraw/Graphic/ellipses.h> 
#include <Unidraw/Graphic/lines.h> 
#include <Unidraw/Components/text.h> 
#include "Clock-core.h" 
#include "Dial.h" 
#include <IV-2_6/_enter.h>


Clock_core::Clock_core(const char* name) {
    SetClassName("Clock");
    SetInstance(name);
    if (input != nil) {
        input->Unreference();
    }
    input = allEvents;
    input->Reference();
    Insert(Interior());
}

Interactor* Clock_core::Interior() {
    PSBrush* brush_65535_3 = new PSBrush(65535, 3);
    PSColor* Black = new PSColor(0, 0, 0, "Black");
    PSColor* White = new PSColor(1, 1, 1, "White");
    PSPattern* pat_1_000000 = new PSPattern(0, (float)1);
    PSPattern* pat_none = new PSPattern;
    PSBrush* brush_65535_0 = new PSBrush(65535, 0);
    PSFont* Symbol18 = new PSFont("*symbol-medium-r-normal--18*", "Symbol18", "18");
    PSPattern* pat_0_000000 = new PSPattern(65535, (float)0);
    PSColor* Red = new PSColor(1, 0, 0, "Red");
    _dial = new Dial("_instance_170", nil, 0, Center);
    SF_Ellipse* _SF_Ellipse_817;
    Line* _Line_818;
    Line* _Line_819;
    Line* _Line_820;
    Line* _Line_821;
    Line* _Line_822;
    Line* _Line_823;
    Line* _Line_824;
    Line* _Line_825;
    Line* _Line_826;
    Line* _Line_827;
    Line* _Line_828;
    Line* _Line_829;
    Line* _Line_830;
    Line* _Line_831;
    Line* _Line_832;
    Line* _Line_833;
    Line* _Line_834;
    Line* _Line_835;
    Line* _Line_836;
    Line* _Line_837;
    Line* _Line_838;
    Line* _Line_839;
    Line* _Line_840;
    Line* _Line_841;
    Line* _Line_842;
    Line* _Line_843;
    Line* _Line_844;
    Line* _Line_845;
    Line* _Line_846;
    Line* _Line_847;
    Line* _Line_848;
    Line* _Line_849;
    Line* _Line_850;
    Line* _Line_851;
    Line* _Line_852;
    Line* _Line_853;
    Line* _Line_854;
    Line* _Line_855;
    Line* _Line_856;
    Line* _Line_857;
    Line* _Line_858;
    Line* _Line_859;
    Line* _Line_860;
    Line* _Line_861;
    Line* _Line_862;
    Line* _Line_863;
    Line* _Line_864;
    Line* _Line_865;
    Line* _Line_866;
    Line* _Line_867;
    Line* _Line_868;
    Line* _Line_869;
    Line* _Line_870;
    Line* _Line_871;
    Line* _Line_872;
    Line* _Line_873;
    Line* _Line_874;
    Line* _Line_875;
    Line* _Line_876;
    Line* _Line_877;
    Line* _Line_878;
    Line* _Line_879;
    Line* _Line_880;
    Line* _Line_881;
    TextGraphic* _TextGraphic_882;
    TextGraphic* _TextGraphic_883;
    TextGraphic* _TextGraphic_884;
    TextGraphic* _TextGraphic_885;
    TextGraphic* _TextGraphic_886;
    TextGraphic* _TextGraphic_887;
    TextGraphic* _TextGraphic_888;
    TextGraphic* _TextGraphic_889;
    TextGraphic* _TextGraphic_890;
    TextGraphic* _TextGraphic_891;
    TextGraphic* _TextGraphic_892;
    TextGraphic* _TextGraphic_893;
    SF_Ellipse* _SF_Ellipse_894;
    {
        _clock = new Picture;
        _clock->SetTransformer(new Transformer(1, 0, 0, 1, 0.00012207, 1.52588e-05));
    }
    {
        Coord polyx[5];
        Coord polyy[5];
        polyx[0] = 259;
        polyy[0] = 419;
        polyx[1] = 363;
        polyy[1] = 419;
        polyx[2] = 387;
        polyy[2] = 427;
        polyx[3] = 363;
        polyy[3] = 435;
        polyx[4] = 259;
        polyy[4] = 435;
        _hour_hand = new SF_Polygon(polyx, polyy, 5);
        _hour_hand->FillBg(1);
        _hour_hand->SetBrush(brush_65535_3);
        _hour_hand->SetColors(Black, White);
        _hour_hand->SetPattern(pat_1_000000);
        _hour_hand->SetTransformer(new Transformer(6.12303e-17, 1, -1, 6.12303e-17, 1022, 163.5));
    }
    _clock->Append(_hour_hand);
    {
        _SF_Ellipse_817 = new SF_Ellipse(267, 459, 176, 176);
        _SF_Ellipse_817->FillBg(1);
        _SF_Ellipse_817->SetBrush(brush_65535_3);
        _SF_Ellipse_817->SetColors(Black, White);
        _SF_Ellipse_817->SetPattern(pat_none);
        _SF_Ellipse_817->SetTransformer(new Transformer(1, 0, 0, 1, 328, -12.9997));
    }
    _clock->Append(_SF_Ellipse_817);
    {
        _Line_818 = new Line(267, 635, 267, 619);
        _Line_818->FillBg(1);
        _Line_818->SetBrush(brush_65535_0);
        _Line_818->SetColors(Black, White);
        _Line_818->SetTransformer(new Transformer(1, 0, 0, 1, 328, -12.9997));
    }
    _clock->Append(_Line_818);
    {
        _Line_819 = new Line(267, 635, 267, 619);
        _Line_819->FillBg(1);
        _Line_819->SetBrush(brush_65535_0);
        _Line_819->SetColors(Black, White);
        _Line_819->SetTransformer(new Transformer(1, 0, 0, 1, 328, -349));
    }
    _clock->Append(_Line_819);
    {
        _Line_820 = new Line(267, 635, 267, 619);
        _Line_820->FillBg(1);
        _Line_820->SetBrush(brush_65535_0);
        _Line_820->SetColors(Black, White);
        _Line_820->SetTransformer(new Transformer(6.12303e-17, -1, 1, 6.12303e-17, 136, 713));
    }
    _clock->Append(_Line_820);
    {
        _Line_821 = new Line(267, 635, 267, 619);
        _Line_821->FillBg(1);
        _Line_821->SetBrush(brush_65535_0);
        _Line_821->SetColors(Black, White);
        _Line_821->SetTransformer(new Transformer(6.12303e-17, -1, 1, 6.12303e-17, -200, 713));
    }
    _clock->Append(_Line_821);
    {
        _Line_822 = new Line(267, 635, 267, 619);
        _Line_822->FillBg(1);
        _Line_822->SetBrush(brush_65535_0);
        _Line_822->SetColors(Black, White);
        _Line_822->SetTransformer(new Transformer(0.866025, 0.5, -0.5, 0.866025, 593.271, -85.0053));
    }
    _clock->Append(_Line_822);
    {
        _Line_823 = new Line(267, 635, 267, 619);
        _Line_823->FillBg(1);
        _Line_823->SetBrush(brush_65535_0);
        _Line_823->SetColors(Black, White);
        _Line_823->SetTransformer(new Transformer(0.866025, 0.5, -0.5, 0.866025, 761.271, -375.99));
    }
    _clock->Append(_Line_823);
    {
        _Line_824 = new Line(267, 635, 267, 619);
        _Line_824->FillBg(1);
        _Line_824->SetBrush(brush_65535_0);
        _Line_824->SetColors(Black, White);
        _Line_824->SetTransformer(new Transformer(0.5, -0.866025, 0.866025, 0.5, 63.9947, 447.729));
    }
    _clock->Append(_Line_824);
    {
        _Line_825 = new Line(267, 635, 267, 619);
        _Line_825->FillBg(1);
        _Line_825->SetBrush(brush_65535_0);
        _Line_825->SetColors(Black, White);
        _Line_825->SetTransformer(new Transformer(0.5, -0.866025, 0.866025, 0.5, -226.99, 279.729));
    }
    _clock->Append(_Line_825);
    {
        _Line_826 = new Line(267, 635, 267, 619);
        _Line_826->FillBg(1);
        _Line_826->SetBrush(brush_65535_0);
        _Line_826->SetColors(Black, White);
        _Line_826->SetTransformer(new Transformer(0.5, 0.866025, -0.866025, 0.5, 859.006, -14.7282));
    }
    _clock->Append(_Line_826);
    {
        _Line_827 = new Line(267, 635, 267, 619);
        _Line_827->FillBg(1);
        _Line_827->SetBrush(brush_65535_0);
        _Line_827->SetColors(Black, White);
        _Line_827->SetTransformer(new Transformer(0.5, 0.866025, -0.866025, 0.5, 1149.99, -182.728));
    }
    _clock->Append(_Line_827);
    {
        _Line_828 = new Line(267, 635, 267, 619);
        _Line_828->FillBg(1);
        _Line_828->SetBrush(brush_65535_0);
        _Line_828->SetColors(Black, White);
        _Line_828->SetTransformer(new Transformer(0.866025, -0.5, 0.5, 0.866025, 134.272, 181.994));
    }
    _clock->Append(_Line_828);
    {
        _Line_829 = new Line(267, 635, 267, 619);
        _Line_829->FillBg(1);
        _Line_829->SetBrush(brush_65535_0);
        _Line_829->SetColors(Black, White);
        _Line_829->SetTransformer(new Transformer(0.866025, -0.5, 0.5, 0.866025, -33.7281, -108.99));
    }
    _clock->Append(_Line_829);
    {
        _Line_830 = new Line(275, 635, 275, 627);
        _Line_830->FillBg(1);
        _Line_830->SetBrush(brush_65535_0);
        _Line_830->SetColors(Black, White);
        _Line_830->SetTransformer(new Transformer(1, 0, 0, 1, 320, -12.9997));
    }
    _clock->Append(_Line_830);
    {
        _Line_831 = new Line(275, 635, 275, 627);
        _Line_831->FillBg(1);
        _Line_831->SetBrush(brush_65535_0);
        _Line_831->SetColors(Black, White);
        _Line_831->SetTransformer(new Transformer(1, 0, 0, 1, 320, -357));
    }
    _clock->Append(_Line_831);
    {
        _Line_832 = new Line(275, 635, 275, 627);
        _Line_832->FillBg(1);
        _Line_832->SetBrush(brush_65535_0);
        _Line_832->SetColors(Black, White);
        _Line_832->SetTransformer(new Transformer(6.12303e-17, -1, 1, 6.12303e-17, 136, 721));
    }
    _clock->Append(_Line_832);
    {
        _Line_833 = new Line(275, 635, 275, 627);
        _Line_833->FillBg(1);
        _Line_833->SetBrush(brush_65535_0);
        _Line_833->SetColors(Black, White);
        _Line_833->SetTransformer(new Transformer(6.12303e-17, -1, 1, 6.12303e-17, -208, 721));
    }
    _clock->Append(_Line_833);
    {
        _Line_834 = new Line(275, 635, 275, 627);
        _Line_834->FillBg(1);
        _Line_834->SetBrush(brush_65535_0);
        _Line_834->SetColors(Black, White);
        _Line_834->SetTransformer(new Transformer(0.994522, -0.104528, 0.104528, 0.994522, 273.528, 18.26));
    }
    _clock->Append(_Line_834);
    {
        _Line_835 = new Line(275, 635, 275, 627);
        _Line_835->FillBg(1);
        _Line_835->SetBrush(brush_65535_0);
        _Line_835->SetColors(Black, White);
        _Line_835->SetTransformer(new Transformer(0.994522, -0.104528, 0.104528, 0.994522, 237.571, -323.856));
    }
    _clock->Append(_Line_835);
    {
        _Line_836 = new Line(275, 635, 275, 627);
        _Line_836->FillBg(1);
        _Line_836->SetBrush(brush_65535_0);
        _Line_836->SetColors(Black, White);
        _Line_836->SetTransformer(new Transformer(0.978148, -0.207911, 0.207911, 0.978148, 230.579, 54.2061));
    }
    _clock->Append(_Line_836);
    {
        _Line_837 = new Line(275, 635, 275, 627);
        _Line_837->FillBg(1);
        _Line_837->SetBrush(brush_65535_0);
        _Line_837->SetColors(Black, White);
        _Line_837->SetTransformer(new Transformer(0.978148, -0.207911, 0.207911, 0.978148, 159.057, -282.277));
    }
    _clock->Append(_Line_837);
    {
        _Line_838 = new Line(275, 635, 275, 627);
        _Line_838->FillBg(1);
        _Line_838->SetBrush(brush_65535_0);
        _Line_838->SetColors(Black, White);
        _Line_838->SetTransformer(new Transformer(0.951057, -0.309016, 0.309016, 0.951057, 191.621, 94.4451));
    }
    _clock->Append(_Line_838);
    {
        _Line_839 = new Line(275, 635, 275, 627);
        _Line_839->FillBg(1);
        _Line_839->SetBrush(brush_65535_0);
        _Line_839->SetColors(Black, White);
        _Line_839->SetTransformer(new Transformer(0.951057, -0.309016, 0.309016, 0.951057, 85.3199, -232.719));
    }
    _clock->Append(_Line_839);
    {
        _Line_840 = new Line(275, 635, 275, 627);
        _Line_840->FillBg(1);
        _Line_840->SetBrush(brush_65535_0);
        _Line_840->SetColors(Black, White);
        _Line_840->SetTransformer(new Transformer(0.913546, -0.406736, 0.406736, 0.913546, 157.084, 138.534));
    }
    _clock->Append(_Line_840);
    {
        _Line_841 = new Line(275, 635, 275, 627);
        _Line_841->FillBg(1);
        _Line_841->SetBrush(brush_65535_0);
        _Line_841->SetColors(Black, White);
        _Line_841->SetTransformer(new Transformer(0.913546, -0.406736, 0.406736, 0.913546, 17.167, -175.726));
    }
    _clock->Append(_Line_841);
    {
        _Line_842 = new Line(275, 635, 275, 627);
        _Line_842->FillBg(1);
        _Line_842->SetBrush(brush_65535_0);
        _Line_842->SetColors(Black, White);
        _Line_842->SetTransformer(new Transformer(0.809017, -0.587785, 0.587785, 0.809017, 102.727, 236.302));
    }
    _clock->Append(_Line_842);
    {
        _Line_843 = new Line(275, 635, 275, 627);
        _Line_843->FillBg(1);
        _Line_843->SetBrush(brush_65535_0);
        _Line_843->SetColors(Black, White);
        _Line_843->SetTransformer(new Transformer(0.809017, -0.587785, 0.587785, 0.809017, -99.4707, -41.9995));
    }
    _clock->Append(_Line_843);
    {
        _Line_844 = new Line(275, 635, 275, 627);
        _Line_844->FillBg(1);
        _Line_844->SetBrush(brush_65535_0);
        _Line_844->SetColors(Black, White);
        _Line_844->SetTransformer(new Transformer(0.743145, -0.66913, 0.66913, 0.743145, 83.5052, 288.907));
    }
    _clock->Append(_Line_844);
    {
        _Line_845 = new Line(275, 635, 275, 627);
        _Line_845->FillBg(1);
        _Line_845->SetBrush(brush_65535_0);
        _Line_845->SetColors(Black, White);
        _Line_845->SetTransformer(new Transformer(0.743145, -0.66913, 0.66913, 0.743145, -146.676, 33.2655));
    }
    _clock->Append(_Line_845);
    {
        _Line_846 = new Line(275, 635, 275, 627);
        _Line_846->FillBg(1);
        _Line_846->SetBrush(brush_65535_0);
        _Line_846->SetColors(Black, White);
        _Line_846->SetTransformer(new Transformer(0.669131, -0.743144, 0.743144, 0.669131, 69.8864, 343.234));
    }
    _clock->Append(_Line_846);
    {
        _Line_847 = new Line(275, 635, 275, 627);
        _Line_847->FillBg(1);
        _Line_847->SetBrush(brush_65535_0);
        _Line_847->SetColors(Black, White);
        _Line_847->SetTransformer(new Transformer(0.669131, -0.743144, 0.743144, 0.669131, -185.756, 113.053));
    }
    _clock->Append(_Line_847);
    {
        _Line_848 = new Line(275, 635, 275, 627);
        _Line_848->FillBg(1);
        _Line_848->SetBrush(brush_65535_0);
        _Line_848->SetColors(Black, White);
        _Line_848->SetTransformer(new Transformer(0.587786, -0.809017, 0.809017, 0.587786, 62.0211, 398.685));
    }
    _clock->Append(_Line_848);
    {
        _Line_849 = new Line(275, 635, 275, 627);
        _Line_849->FillBg(1);
        _Line_849->SetBrush(brush_65535_0);
        _Line_849->SetColors(Black, White);
        _Line_849->SetTransformer(new Transformer(0.587786, -0.809017, 0.809017, 0.587786, -216.281, 196.487));
    }
    _clock->Append(_Line_849);
    {
        _Line_850 = new Line(275, 635, 275, 627);
        _Line_850->FillBg(1);
        _Line_850->SetBrush(brush_65535_0);
        _Line_850->SetColors(Black, White);
        _Line_850->SetTransformer(new Transformer(0.406737, -0.913545, 0.913545, 0.406737, 63.8306, 510.533));
    }
    _clock->Append(_Line_850);
    {
        _Line_851 = new Line(275, 635, 275, 627);
        _Line_851->FillBg(1);
        _Line_851->SetBrush(brush_65535_0);
        _Line_851->SetColors(Black, White);
        _Line_851->SetTransformer(new Transformer(0.406737, -0.913545, 0.913545, 0.406737, -250.429, 370.615));
    }
    _clock->Append(_Line_851);
    {
        _Line_852 = new Line(275, 635, 275, 627);
        _Line_852->FillBg(1);
        _Line_852->SetBrush(brush_65535_0);
        _Line_852->SetColors(Black, White);
        _Line_852->SetTransformer(new Transformer(0.309018, -0.951056, 0.951056, 0.309018, 73.486, 565.701));
    }
    _clock->Append(_Line_852);
    {
        _Line_853 = new Line(275, 635, 275, 627);
        _Line_853->FillBg(1);
        _Line_853->SetBrush(brush_65535_0);
        _Line_853->SetColors(Black, White);
        _Line_853->SetTransformer(new Transformer(0.309018, -0.951056, 0.951056, 0.309018, -253.678, 459.399));
    }
    _clock->Append(_Line_853);
    {
        _Line_854 = new Line(275, 635, 275, 627);
        _Line_854->FillBg(1);
        _Line_854->SetBrush(brush_65535_0);
        _Line_854->SetColors(Black, White);
        _Line_854->SetTransformer(new Transformer(0.207913, -0.978147, 0.978147, 0.207913, 88.8551, 619.559));
    }
    _clock->Append(_Line_854);
    {
        _Line_855 = new Line(275, 635, 275, 627);
        _Line_855->FillBg(1);
        _Line_855->SetBrush(brush_65535_0);
        _Line_855->SetColors(Black, White);
        _Line_855->SetTransformer(new Transformer(0.207913, -0.978147, 0.978147, 0.207913, -247.628, 548.036));
    }
    _clock->Append(_Line_855);
    {
        _Line_856 = new Line(275, 635, 275, 627);
        _Line_856->FillBg(1);
        _Line_856->SetBrush(brush_65535_0);
        _Line_856->SetColors(Black, White);
        _Line_856->SetTransformer(new Transformer(0.104529, -0.994522, 0.994522, 0.104529, 109.769, 671.514));
    }
    _clock->Append(_Line_856);
    {
        _Line_857 = new Line(275, 635, 275, 627);
        _Line_857->FillBg(1);
        _Line_857->SetBrush(brush_65535_0);
        _Line_857->SetColors(Black, White);
        _Line_857->SetTransformer(new Transformer(0.104529, -0.994522, 0.994522, 0.104529, -232.347, 635.555));
    }
    _clock->Append(_Line_857);
    {
        _Line_858 = new Line(275, 635, 275, 627);
        _Line_858->FillBg(1);
        _Line_858->SetBrush(brush_65535_0);
        _Line_858->SetColors(Black, White);
        _Line_858->SetTransformer(new Transformer(-0.104528, -0.994522, 0.994522, -0.104528, 167.26, 767.472));
    }
    _clock->Append(_Line_858);
    {
        _Line_859 = new Line(275, 635, 275, 627);
        _Line_859->FillBg(1);
        _Line_859->SetBrush(brush_65535_0);
        _Line_859->SetColors(Black, White);
        _Line_859->SetTransformer(new Transformer(-0.104528, -0.994522, 0.994522, -0.104528, -174.856, 803.429));
    }
    _clock->Append(_Line_859);
    {
        _Line_860 = new Line(275, 635, 275, 627);
        _Line_860->FillBg(1);
        _Line_860->SetBrush(brush_65535_0);
        _Line_860->SetColors(Black, White);
        _Line_860->SetTransformer(new Transformer(-0.207911, -0.978148, 0.978148, -0.207911, 203.206, 810.422));
    }
    _clock->Append(_Line_860);
    {
        _Line_861 = new Line(275, 635, 275, 627);
        _Line_861->FillBg(1);
        _Line_861->SetBrush(brush_65535_0);
        _Line_861->SetColors(Black, White);
        _Line_861->SetTransformer(new Transformer(-0.207911, -0.978148, 0.978148, -0.207911, -133.277, 881.943));
    }
    _clock->Append(_Line_861);
    {
        _Line_862 = new Line(275, 635, 275, 627);
        _Line_862->FillBg(1);
        _Line_862->SetBrush(brush_65535_0);
        _Line_862->SetColors(Black, White);
        _Line_862->SetTransformer(new Transformer(-0.309016, -0.951057, 0.951057, -0.309016, 243.444, 849.379));
    }
    _clock->Append(_Line_862);
    {
        _Line_863 = new Line(275, 635, 275, 627);
        _Line_863->FillBg(1);
        _Line_863->SetBrush(brush_65535_0);
        _Line_863->SetColors(Black, White);
        _Line_863->SetTransformer(new Transformer(-0.309016, -0.951057, 0.951057, -0.309016, -83.7191, 955.681));
    }
    _clock->Append(_Line_863);
    {
        _Line_864 = new Line(275, 635, 275, 627);
        _Line_864->FillBg(1);
        _Line_864->SetBrush(brush_65535_0);
        _Line_864->SetColors(Black, White);
        _Line_864->SetTransformer(new Transformer(-0.406736, -0.913546, 0.913546, -0.406736, 287.534, 883.916));
    }
    _clock->Append(_Line_864);
    {
        _Line_865 = new Line(275, 635, 275, 627);
        _Line_865->FillBg(1);
        _Line_865->SetBrush(brush_65535_0);
        _Line_865->SetColors(Black, White);
        _Line_865->SetTransformer(new Transformer(-0.406736, -0.913546, 0.913546, -0.406736, -26.7257, 1023.83));
    }
    _clock->Append(_Line_865);
    {
        _Line_866 = new Line(275, 635, 275, 627);
        _Line_866->FillBg(1);
        _Line_866->SetBrush(brush_65535_0);
        _Line_866->SetColors(Black, White);
        _Line_866->SetTransformer(new Transformer(-0.587785, -0.809018, 0.809018, -0.587785, 385.302, 938.273));
    }
    _clock->Append(_Line_866);
    {
        _Line_867 = new Line(275, 635, 275, 627);
        _Line_867->FillBg(1);
        _Line_867->SetBrush(brush_65535_0);
        _Line_867->SetColors(Black, White);
        _Line_867->SetTransformer(new Transformer(-0.587785, -0.809018, 0.809018, -0.587785, 106.999, 1140.47));
    }
    _clock->Append(_Line_867);
    {
        _Line_868 = new Line(275, 635, 275, 627);
        _Line_868->FillBg(1);
        _Line_868->SetBrush(brush_65535_0);
        _Line_868->SetColors(Black, White);
        _Line_868->SetTransformer(new Transformer(-0.66913, -0.743146, 0.743146, -0.66913, 437.907, 957.496));
    }
    _clock->Append(_Line_868);
    {
        _Line_869 = new Line(275, 635, 275, 627);
        _Line_869->FillBg(1);
        _Line_869->SetBrush(brush_65535_0);
        _Line_869->SetColors(Black, White);
        _Line_869->SetTransformer(new Transformer(-0.66913, -0.743146, 0.743146, -0.66913, 182.264, 1187.68));
    }
    _clock->Append(_Line_869);
    {
        _Line_870 = new Line(275, 635, 275, 627);
        _Line_870->FillBg(1);
        _Line_870->SetBrush(brush_65535_0);
        _Line_870->SetColors(Black, White);
        _Line_870->SetTransformer(new Transformer(-0.743144, -0.669132, 0.669132, -0.743144, 492.233, 971.11));
    }
    _clock->Append(_Line_870);
    {
        _Line_871 = new Line(275, 635, 275, 627);
        _Line_871->FillBg(1);
        _Line_871->SetBrush(brush_65535_0);
        _Line_871->SetColors(Black, White);
        _Line_871->SetTransformer(new Transformer(-0.743144, -0.669132, 0.669132, -0.743144, 262.052, 1226.76));
    }
    _clock->Append(_Line_871);
    {
        _Line_872 = new Line(275, 635, 275, 627);
        _Line_872->FillBg(1);
        _Line_872->SetBrush(brush_65535_0);
        _Line_872->SetColors(Black, White);
        _Line_872->SetTransformer(new Transformer(-0.809017, -0.587787, 0.587787, -0.809017, 547.685, 978.98));
    }
    _clock->Append(_Line_872);
    {
        _Line_873 = new Line(275, 635, 275, 627);
        _Line_873->FillBg(1);
        _Line_873->SetBrush(brush_65535_0);
        _Line_873->SetColors(Black, White);
        _Line_873->SetTransformer(new Transformer(-0.809017, -0.587787, 0.587787, -0.809017, 345.486, 1257.28));
    }
    _clock->Append(_Line_873);
    {
        _Line_874 = new Line(275, 635, 275, 627);
        _Line_874->FillBg(1);
        _Line_874->SetBrush(brush_65535_0);
        _Line_874->SetColors(Black, White);
        _Line_874->SetTransformer(new Transformer(-0.913546, -0.406737, 0.406737, -0.913546, 659.533, 977.17));
    }
    _clock->Append(_Line_874);
    {
        _Line_875 = new Line(275, 635, 275, 627);
        _Line_875->FillBg(1);
        _Line_875->SetBrush(brush_65535_0);
        _Line_875->SetColors(Black, White);
        _Line_875->SetTransformer(new Transformer(-0.913546, -0.406737, 0.406737, -0.913546, 519.615, 1291.43));
    }
    _clock->Append(_Line_875);
    {
        _Line_876 = new Line(275, 635, 275, 627);
        _Line_876->FillBg(1);
        _Line_876->SetBrush(brush_65535_0);
        _Line_876->SetColors(Black, White);
        _Line_876->SetTransformer(new Transformer(-0.951057, -0.309018, 0.309018, -0.951057, 714.701, 967.51));
    }
    _clock->Append(_Line_876);
    {
        _Line_877 = new Line(275, 635, 275, 627);
        _Line_877->FillBg(1);
        _Line_877->SetBrush(brush_65535_0);
        _Line_877->SetColors(Black, White);
        _Line_877->SetTransformer(new Transformer(-0.951057, -0.309018, 0.309018, -0.951057, 608.399, 1294.68));
    }
    _clock->Append(_Line_877);
    {
        _Line_878 = new Line(275, 635, 275, 627);
        _Line_878->FillBg(1);
        _Line_878->SetBrush(brush_65535_0);
        _Line_878->SetColors(Black, White);
        _Line_878->SetTransformer(new Transformer(-0.978148, -0.207913, 0.207913, -0.978148, 768.559, 952.146));
    }
    _clock->Append(_Line_878);
    {
        _Line_879 = new Line(275, 635, 275, 627);
        _Line_879->FillBg(1);
        _Line_879->SetBrush(brush_65535_0);
        _Line_879->SetColors(Black, White);
        _Line_879->SetTransformer(new Transformer(-0.978148, -0.207913, 0.207913, -0.978148, 697.037, 1288.63));
    }
    _clock->Append(_Line_879);
    {
        _Line_880 = new Line(275, 635, 275, 627);
        _Line_880->FillBg(1);
        _Line_880->SetBrush(brush_65535_0);
        _Line_880->SetColors(Black, White);
        _Line_880->SetTransformer(new Transformer(-0.994523, -0.104529, 0.104529, -0.994523, 820.514, 931.232));
    }
    _clock->Append(_Line_880);
    {
        _Line_881 = new Line(275, 635, 275, 627);
        _Line_881->FillBg(1);
        _Line_881->SetBrush(brush_65535_0);
        _Line_881->SetColors(Black, White);
        _Line_881->SetTransformer(new Transformer(-0.994523, -0.104529, 0.104529, -0.994523, 784.556, 1273.35));
    }
    _clock->Append(_Line_881);
    {
        _TextGraphic_882 = new TextGraphic("1", 18);
        _TextGraphic_882->FillBg(0);
        _TextGraphic_882->SetColors(Black, nil);
        _TextGraphic_882->SetFont(Symbol18);
        _TextGraphic_882->SetPattern(pat_0_000000);
        _TextGraphic_882->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 650.7, 526.7));
    }
    _clock->Append(_TextGraphic_882);
    {
        _TextGraphic_883 = new TextGraphic("2", 18);
        _TextGraphic_883->FillBg(0);
        _TextGraphic_883->SetColors(Black, nil);
        _TextGraphic_883->SetFont(Symbol18);
        _TextGraphic_883->SetPattern(pat_0_000000);
        _TextGraphic_883->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 698.7, 486.7));
    }
    _clock->Append(_TextGraphic_883);
    {
        _TextGraphic_884 = new TextGraphic("3", 18);
        _TextGraphic_884->FillBg(0);
        _TextGraphic_884->SetColors(Black, nil);
        _TextGraphic_884->SetFont(Symbol18);
        _TextGraphic_884->SetPattern(pat_0_000000);
        _TextGraphic_884->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 721.7, 416.7));
    }
    _clock->Append(_TextGraphic_884);
    {
        _TextGraphic_885 = new TextGraphic("4", 18);
        _TextGraphic_885->FillBg(0);
        _TextGraphic_885->SetColors(Black, nil);
        _TextGraphic_885->SetFont(Symbol18);
        _TextGraphic_885->SetPattern(pat_0_000000);
        _TextGraphic_885->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 701.7, 348.7));
    }
    _clock->Append(_TextGraphic_885);
    {
        _TextGraphic_886 = new TextGraphic("5", 18);
        _TextGraphic_886->FillBg(0);
        _TextGraphic_886->SetColors(Black, nil);
        _TextGraphic_886->SetFont(Symbol18);
        _TextGraphic_886->SetPattern(pat_0_000000);
        _TextGraphic_886->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 656.7, 300.7));
    }
    _clock->Append(_TextGraphic_886);
    {
        _TextGraphic_887 = new TextGraphic("6", 18);
        _TextGraphic_887->FillBg(0);
        _TextGraphic_887->SetColors(Black, nil);
        _TextGraphic_887->SetFont(Symbol18);
        _TextGraphic_887->SetPattern(pat_0_000000);
        _TextGraphic_887->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 584.7, 282.7));
    }
    _clock->Append(_TextGraphic_887);
    {
        _TextGraphic_888 = new TextGraphic("7", 18);
        _TextGraphic_888->FillBg(0);
        _TextGraphic_888->SetColors(Black, nil);
        _TextGraphic_888->SetFont(Symbol18);
        _TextGraphic_888->SetPattern(pat_0_000000);
        _TextGraphic_888->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 512.7, 298.7));
    }
    _clock->Append(_TextGraphic_888);
    {
        _TextGraphic_889 = new TextGraphic("8", 18);
        _TextGraphic_889->FillBg(0);
        _TextGraphic_889->SetColors(Black, nil);
        _TextGraphic_889->SetFont(Symbol18);
        _TextGraphic_889->SetPattern(pat_0_000000);
        _TextGraphic_889->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 461.7, 350.7));
    }
    _clock->Append(_TextGraphic_889);
    {
        _TextGraphic_890 = new TextGraphic("9", 18);
        _TextGraphic_890->FillBg(0);
        _TextGraphic_890->SetColors(Black, nil);
        _TextGraphic_890->SetFont(Symbol18);
        _TextGraphic_890->SetPattern(pat_0_000000);
        _TextGraphic_890->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 440.7, 411.7));
    }
    _clock->Append(_TextGraphic_890);
    {
        _TextGraphic_891 = new TextGraphic("10", 18);
        _TextGraphic_891->FillBg(0);
        _TextGraphic_891->SetColors(Black, nil);
        _TextGraphic_891->SetFont(Symbol18);
        _TextGraphic_891->SetPattern(pat_0_000000);
        _TextGraphic_891->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 452.3, 474.7));
    }
    _clock->Append(_TextGraphic_891);
    {
        _TextGraphic_892 = new TextGraphic("11", 18);
        _TextGraphic_892->FillBg(0);
        _TextGraphic_892->SetColors(Black, nil);
        _TextGraphic_892->SetFont(Symbol18);
        _TextGraphic_892->SetPattern(pat_0_000000);
        _TextGraphic_892->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 503.3, 529.7));
    }
    _clock->Append(_TextGraphic_892);
    {
        _TextGraphic_893 = new TextGraphic("12", 18);
        _TextGraphic_893->FillBg(0);
        _TextGraphic_893->SetColors(Black, nil);
        _TextGraphic_893->SetFont(Symbol18);
        _TextGraphic_893->SetPattern(pat_0_000000);
        _TextGraphic_893->SetTransformer(new Transformer(3.2, 0, 0, 3.2, 569.3, 545.7));
    }
    _clock->Append(_TextGraphic_893);
    {
        _min_hand = new SF_Rect(323, 355, 331, 555);
        _min_hand->FillBg(1);
        _min_hand->SetBrush(brush_65535_3);
        _min_hand->SetColors(Black, White);
        _min_hand->SetPattern(pat_1_000000);
        _min_hand->SetTransformer(new Transformer(1, 0, 0, 1, 268, 59.5003));
    }
    _clock->Append(_min_hand);
    {
        _sec_hand = new Line(283, 603, 283, 387);
        _sec_hand->FillBg(1);
        _sec_hand->SetBrush(brush_65535_3);
        _sec_hand->SetColors(Red, White);
        _sec_hand->SetTransformer(new Transformer(1, 0, 0, 1, 312, 19.0003));
    }
    _clock->Append(_sec_hand);
    {
        _SF_Ellipse_894 = new SF_Ellipse(187, 667, 8, 8);
        _SF_Ellipse_894->FillBg(1);
        _SF_Ellipse_894->SetBrush(brush_65535_3);
        _SF_Ellipse_894->SetColors(Red, White);
        _SF_Ellipse_894->SetPattern(pat_1_000000);
        _SF_Ellipse_894->SetTransformer(new Transformer(0.39, 0, 0, 0.39, 522.07, 185.87));
    }
    _clock->Append(_SF_Ellipse_894);
    Picture* _dial_pic = new Picture;
    _dial_pic->Append(_clock);
    _dial->SetGraphic(_dial_pic);
    return _dial;
};


